# PetscMapGetGlobalRange

Gets the ownership ranges for all processors.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscMapGetGlobalRange(PetscMap m,PetscInt *range[])

Not Collective

### Input Parameter

m -the map object

### Output Parameter

range -array of size + 1 where size is the size of the communicator associated with the map. range[rank], range[rank+1] is the range for processor

### See Also

PetscMapGetSize(), PetscMapGetLocalRange()

Level:developer
Location:src/vec/interface/map.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages